<div class="wm-step step-3">
	<form name="packagesFrm" novalidate>
		<small>* Indicates Required Field</small>

		<div class="group">
			<div class="row">
				<a href="javascript:;" class="link-top" onclick='window.open("/Pages/prohibited", "_blank", "width=800,height=600,titlebar=no,toolbar=no");'
				   title="Check prohibited itens">Check prohibited items</a>

				<div class="col-md-12">
					<div class="row"><strong>Location details</strong></div>
					<div class="row">
						<div class="col col-md-9">
							<div class="row">
								<div class="col-md-2" style="margin-top:10px;">
									Where would the parcel be going to?
								</div>

								<div class="col-md-4">
									<fieldset>

										<input type="text" name="billing_city"
											   ng-model="$parent.quickship.$storage.billing.city"
											   ng-required="!$parent.quickship.$storage.billing.city"
											   id="s1_personalCity" class="form-control required" placeholder="City *">

										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_city.$error.required">required field.</span>
									</fieldset>
								</div>

								<div class="col-md-3">
									<fieldset>

										<input type="text" name="billing_state"
											   ng-required="!$parent.quickship.$storage.billing.state"
											   ng-model="$parent.quickship.$storage.billing.state" id="s1_personalState"
											   class="form-control required" placeholder="State/Province *">

										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_state.$error.required">required field.</span>
									</fieldset>
								</div>

								<div class="col-md-3">
									<fieldset>

										<input type="text" name="billing_postalcode"
											   ng-required="!$parent.quickship.$storage.billing.postal_code"
											   ng-model="$parent.quickship.$storage.billing.postal_code" id="s1_personalState"
											   class="form-control required" placeholder="State/Province *">

										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_state.$error.required">required field.</span>
									</fieldset>
								</div>

							</div>
							<div class="row">

								<div class="col-md-3 col-md-push-2">
									<fieldset>

										<select name="billing_country" ng-model="$parent.quickship.$storage.billing.country"
												id="s1_personalCountry" class="form-control required" required>
											<option value="">-- Country * --</option>
											<option value="{{country.key}}"
													ng-repeat="country in $parent.quickship.$storage.countries track by $index"
													ng-selected="country.key == $parent.quickship.$storage.billing.country">
												{{country.label}}
											</option>
										</select>
										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_country.$error.required">required field.</span>
									</fieldset>
								</div>
							</div>
						</div>
					</div>
					<div class="row"><strong>Package details</strong></div>
					<div class="row">
						<div class="s3_boxPkgDetail"
							 ng-repeat="(package_index, package) in $parent.quickship.$storage.quickship.packages track by $index">

							<div class="box-item">
								<div class="row hs-packages-dimensions">
									<div class="col-md-2" style="margin-top:10px;">
										Where would the parcel be going to?
									</div>
									<div class="col col-form-field col-md-2"
										 ng-class="{'col-md-2': !$parent.quickship.$storage.quickship.consolidatePackages || !$parent.quickship.hasConsolidatedPackages($index), 'col-md-4': $parent.quickship.hasConsolidatedPackages($index)}">
										<magic-field>
											<label ng-show="showLabel"
												   class="show-hide">{{$parent.getWeightTitle()}}</label>
											<input type="number"  name="package_{{$parent.$index}}_weight"
												   ng-readonly="($parent.quickship.$storage.read_only_packages === true) || ($parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length > 0)"
												   ng-required="$parent.quickship.$storage.simpleSteps === false"
												   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].weight"
												   class="s3_copyWeight form-control required"
												   placeholder="{{$parent.getWeightTitle()}}"
												   value="">
										</magic-field>
										<span class="msg-error"
											  ng-show="!hasValidWeight(packagesFrm, $index)">required field.</span>
										<span class="msg-error"
											  ng-show="{{$parent.quickship.$storage.quickship.packages[$parent.$index].weight < 1}}">min input 1.</span>
									</div>
									<div class="col col-form-field col-md-1">
										<magic-field>
											<label ng-show="showLabel"
												   class="show-hide">Weight Unit *</label>
											<select name="packages_{{$parent.$index}}_weight_unit"
													ng-required="$parent.quickship.$storage.simpleSteps === false"
													ng-disabled="($parent.quickship.$storage.read_only_packages === true) || ($parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length > 0)"
													ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].weight_unit"
													class="s3_copyUnit form-control required">
												<option value="lb" selected="selected">lb</option>
												<option value="kg">kg</option>
											</select>
										</magic-field>
										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_weight_unit.$error.required">required field.</span>
									</div>
									<div class="col col-form-field col-md-2"
										 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
										<magic-field>
											<label ng-show="showLabel"
												   class="show-hide">Length *</label>
											<input type="number"  name="packages_{{$parent.$index}}_length"
												   ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
												   ng-readonly="$parent.quickship.$storage.read_only_packages === true"
												   class="form-control required" placeholder="Length *" value=""
												   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].length"
												   ng-blur="hasValidInput(packagesFrm, $index)">
										</magic-field>
										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_length.$error.required">required field.</span>
										<span class="msg-error"
											  ng-show="$parent.quickship.$storage.quickship.packages[$parent.$index].weight">min input 1.</span>
									</div>
									<div class="col col-form-field col-md-2"
										 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
										<magic-field>
											<label ng-show="showLabel"
												   class="show-hide">Width *</label>
											<input type="number"  name="packages_{{$parent.$index}}_width"
												   ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
												   ng-readonly="$parent.quickship.$storage.read_only_packages === true"
												   class="form-control required" placeholder="Width *" value=""
												   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].width">
										</magic-field>
										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_width.$error.required">required field.</span>
									</div>
									<div class="col col-form-field col-md-2"
										 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
										<magic-field>
											<label ng-show="showLabel"
												   class="show-hide">Height *</label>
											<input type="number"  name="packages_{{$parent.$index}}_height"
												   ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
												   ng-readonly="$parent.quickship.$storage.read_only_packages === true"
												   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].height"
												   class="form-control required" placeholder="Height *" value="">
										</magic-field>
										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_height.$error.required">required field.</span>
									</div>

									<div class="col col-form-field col-md-1"
										 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
										<magic-field>
											<label ng-show="showLabel"
												   class="show-hide">Size Unit *</label>
											<select name="packages_{{$parent.$index}}_size_unit"
													class="form-control required"
													ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
													ng-disabled="$parent.quickship.$storage.read_only_packages === true"
													ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].size_unit"
													placeholder="Unit *">
												<option value="in">in</option>
												<option value="cm">cm</option>
											</select>
										</magic-field>
										<span class="msg-error"
											  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_size_unit.$error.required">required field.</span>
									</div>
								</div>

								<!-- Consolidated packages -->
								<div class="row consolidated-package"
									 ng-show="$parent.quickship.$storage.quickship.consolidatePackages === true">

									<div class="col-sm-12 consolidated-package-items"
										 ng-repeat="(consolidated_index, consolidated_package) in $parent.quickship.$storage.quickship.packages[package_index].consolidated track by $index">

										<div class="row">
											<div class="col-sm-12">
												<h3>Consolidated Package <span>{{$index+1}}</span></h3>
											</div>
											<div class="clearfix">&nbsp;</div>
											<div class="col col-md-6">
												<input type="number"
													   name="s2_adPackageWeight_{{$parent.$index}}_{{$index}}"
													   ng-required="$parent.quickship.$storage.quickship.consolidatePackages === true && $parent.quickship.$storage.simpleSteps === false"
													   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].weight"
													   class="s2_copyWeight form-control tmp-required"
													   ng-change="updateWeight($parent.$index)"
													   placeholder="Weight *">
												<span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.s2_adPackageWeight_{{$parent.$index}}_{{$index}}.$error.required">required field.</span>
											</div>
											<div class="col col-md-6">
												<select name="s2_adPackageUnit_{{$parent.$index}}_{{$index}}"
														ng-required="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.simpleSteps === false"
														ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].unit"
														ng-change="updateWeight($parent.$index)"
														class="s2_copyUnit form-control tmp-required">
													<option value="lb">lb</option>
													<option value="kg">kg</option>
												</select>
												<span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.s2_adPackageUnit_{{$parent.$index}}_{{$index}}.$error.required">required field.</span>
											</div>
											<div class="clearfix">&nbsp;</div>
										</div>
										<div class="row">
											<div class="col-sm-5">
												<input type="text" placeholder="Tracking code"
													   name="s2_adPackageTrackingCode_{{$parent.$index}}_{{$index}}"
													   class="form-control"
													   name="s2_tracking_code_{{$parent.$index}}_{{$index}}"
													   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].tracking_code">
											</div>
											<div class="col-sm-5">
												<input type="text"
													   name="s2_adPackageCarrier_{{$parent.$index}}_{{$index}}"
													   data-ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].carrier"
													   class="s2_copyValue form-control tmp-required"
													   placeholder="Carrier">
												<span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.s2_adPackageCarrier_{{$parent.$index}}_{{$index}}.$error.required">required field.</span>
											</div>
											<div class="col col-md-2">
												<button type="button" class="btn btn-danger"
														data-ng-click="deleteConsolidatedPackage($parent.$index, $index)">
													Remove
												</button>
											</div>
										</div>
										<!-- /.row -->

										<div class="clearfix">&nbsp;</div>
									</div>
									<!-- /.consolited-package-item -->

									<div class="row action text-right">
										<div class="col col-md-12">
											<a href="javascript:void(0);" class="btn btn-success"
											   data-ng-click="addConsolidatedPackage(package_index)">Add consolidated package
											</a>

											<p class="text-right"
											   data-ng-hide="$parent.quickship.$storage.quickship.consolidatePackages === true">
												if the gross dimensions exceed 24"x14"x12", you will be charged
												for
												an additional package
											</p>
										</div>
										<!-- /.col -->
									</div>
									<!-- /.row -->

								</div>
								<!-- /.consolidated-package -->

								<div class="row action"
									 ng-show="($parent.quickship.$storage.quickship.packages.length > 1) && ($parent.quickship.$storage.read_only_packages === false)">
									<div class="col col-md-12">
										<button type="button" class="btn btn-danger s3_delPkgDetail"
												ng-click="deletePackage($index)">Remove
										</button>
									</div>
								</div>
								<!-- /.row.action -->
							</div>
							<!-- /.box-item -->
						</div>
						<!--  Dimensions NOT known -->
					</div>

				</div>

			</div>
			<!-- /.row -->
		</div>
		<!-- /.group -->

		<!-- Item details -->


		<div class="group">
			<div class="row text-center">
				<div class="col col-md-12">
					<button type="button" class="btn btn-default go-to-slide-2" ng-click="goBack()">Back</button>
					<button type="button" class="btn btn-success go-to-slide-5" ng-click="goNext(packagesFrm)">Get Rates
					</button>
					<br><br>
				</div>
			</div>
			<!-- row 6 -->
		</div>
	</form>
</div><!-- step-3 -->